Skip to content

Merge posts

Introduction

This endpoint allows you to merge one or more posts into a parent post. Merging consolidates votes, comments, and subscribers from the child post(s) into the parent post. You can merge up to 30 posts at once.

POST https://api.featureos.app/api/v3/feature_requests/:feature_request_id/merge_posts

Headers

Parameter Default Description
API-KEY-Generate from organization settings on the admin dashboard.
Authorization-Generate a unique JWT token that is specific to a user. Only organization members can access this endpoint.

Body Parameters

Parameter Required Format Description
child_feature_request_idstrueArrayAn array of post IDs to merge into the parent. Maximum of 30 posts per request.

Sample request

{
"child_feature_request_ids": [4231, 4232, 4233]
}

Sample response

{
"id": 4230,
"slug": "main-feature-request",
"title": "Main feature request",
"preview": "This is the main post",
"description": "This is the main post\n\n",
"description_html": "<p>This is the main post</p>",
"status": "Submitted",
"url": "https://feedback.featureos.app/b/api/p/main-feature-request",
"approval_status": "approved",
"submitter": {
"name": "Swathy",
"email": "[email protected]"
},
"bucket": {
"id": 14,
"name": "API"
},
"votes_count": 5,
"downvotes_count": 0,
"comments_count": 2,
"created_at": "2021-10-21T10:58:30.000Z",
"updated_at": "2021-10-21T10:58:31.000Z",
"tags": [],
"custom_status": {
"title": "Submitted",
"color": "#000000",
"status": "submitted",
"percentage": null,
"icon": null
},
"merged": false,
"merged_posts_count": 1,
"child_posts": [
{
"id": 4231,
"title": "Duplicate feature request",
"slug": "duplicate-feature-request"
}
]
}